---
title: GamepadHapticActuator.type
slug: Web/API/GamepadHapticActuator/type
tags:
  - API
  - Experimental
  - Gamepad
  - Gamepad API
  - GamepadHapticActuator
  - Property
  - Reference
  - Type
---
<div>{{APIRef("Gamepad")}}{{SeeCompatTable}}</div>

<p>The <strong><code>type</code></strong> read-only property of the {{domxref("GamepadHapticActuator")}} interface returns an enum representing the type of the haptic hardware.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myActuatorType = gamepadHapticActuatorInstance.type;</pre>

<h3 id="Value">Value</h3>

<p>An enum of type <code><a href="https://w3c.github.io/gamepad/extensions.html#gamepadhapticactuatortype-enum">GamepadHapticActuatorType</a></code>; currently available types are:</p>

<ul>
	<li><code>vibration</code> — vibration hardware, which creates a rumbling effect.</li>
</ul>

<h2 id="Examples">Examples</h2>

<p>TBC</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('GamepadExtensions', '#dom-gamepadhapticactuatortype', 'GamepadHapticActuatorType')}}</td>
			<td>{{Spec2('GamepadExtensions')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GamepadHapticActuator.type")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/Gamepad_API">Gamepad API</a></li>
</ul>
